# Notice: wxpropgrid is part of wx 2.9 and will become obsolete
# https://code.ros.org/trac/ros-pkg/ticket/5154

Name:           wxpropgrid
Version:        1.4.15
Release:        9%{?dist}
Summary:        A property sheet control for wxWidgets

Group:          Applications/Engineering
License:        wxWidgets
URL:            http://wxpropgrid.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz

# Don't build samples
Patch0:         %{name}-nosample.patch

# Use the system-wide wx include directory and preserve timestamp
# https://sourceforge.net/tracker/?func=detail&aid=3453329&group_id=133406&atid=727081
#TODO: Is this path specific to Fedora?
Patch1:         %{name}-includedir.patch

# Link only as required; not all libraries from wx-config are actually used
Patch2:         %{name}-linking.patch

BuildRequires:  doxygen
BuildRequires:  wxGTK-devel

%description
wxPropertyGrid is a property sheet control for wxWidgets. In other
words, it is a specialized two-column grid for editing properties
such as strings, numbers, flagsets, string arrays, and colors. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n propgrid

# Correct encoding and line ends
iconv -f iso8859-1 -t utf-8 CHANGES.txt > CHANGES.txt.conv && mv CHANGES.txt.conv CHANGES.txt
sed -i 's/\r//' CHANGES.txt samples/sample.xrc samples/sample.rc

%patch0 -p1 -b .nosample~
%patch1 -p1 -b .includedir~
%patch2 -p1 -b .linking~

# Solve the stall with Doxygen 1.7.6 in Rawhide
# Doxygen 1.7.6.1 has a patch "to fix the hang
# issue when non-empty INCLUDE_PATH was used"
sed -i 's/^SEARCH_INCLUDES.*/SEARCH_INCLUDES = NO/' docs/Doxyfile


%build
%configure

make %{?_smp_mflags}

# Create up-to-date documentation
pushd docs
  doxygen -u
  doxygen
popd

rm -f docs/html/installdox

%install
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
# Upstream ships no license file
# https://sourceforge.net/tracker/?func=detail&aid=3453325&group_id=133406&atid=727081
%doc CHANGES.txt
%{_libdir}/libwxcode_gtk2u_propgrid-2.8.so.*

%files devel
%doc samples docs/html
%{_libdir}/libwxcode_gtk2u_propgrid-2.8.so
%{_includedir}/wx-2.8/wx/propgrid

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4.15-7
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Dec 13 2011 Volker Fröhlich <volker27@gmx.at> - 1.4.15-1
- Initial package
